2016-09-30 07:51 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000419OpenFOAM[All Projects] Bugpublic2012-02-15 10:19
Reportereelcovv 
Assigned Touser4 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSLinuxOS VersionRed Hat 4.1.2-50
Product Version 
Target VersionFixed in Version 
Summary0000419: particleTracks crashes on reconstructed data
DescriptionWhen the postProcessing utility particleTracks is run on the reconstructed data, it crashes.

Steps To Reproduce1) Run particle tracking in parallel
2) run: reconstructPar
3) run: particleTracks
Additional InformationI fixed the bug. See attachment (myParticleTracks)

The reason for the crash is that if particleTracks is run as a serial job, the nProcs variable is set to one. However, the reconstructed files 'origProcId' still contain the original number of processors. In case particleTrack is run in serial, this value in origProcId should be overrulled with 0.

Perhaps the bug fixed can be distributed to the next OF release.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001036

user4

Fixed in 901f97abc570e000414dcc2d64bf25a767ae9f39.

Instead of clipping originating processor I resize the counter.

Thanks for fix.
+Notes

-Issue History
Date Modified Username Field Change
2012-02-14 16:07 eelcovv New Issue
2012-02-14 16:07 eelcovv File Added: myParticleTracks.tgz
2012-02-15 10:19 user4 Note Added: 0001036
2012-02-15 10:19 user4 Status new => resolved
2012-02-15 10:19 user4 Fixed in Version => 2.1.x
2012-02-15 10:19 user4 Resolution open => fixed
2012-02-15 10:19 user4 Assigned To => user4
+Issue History